Set Echo on
Purge Recyclebin;
/* pouvate-li verzi ni ne Oracle 10g,
 zakomentujte pkaz PURGE */
Drop table TYP_JEDNOTKY_CIS cascade constraints;
Drop table TYP_VLASTNICTVI_CIS cascade constraints;
Drop table TYP_OSOBY_CIS cascade constraints;
Drop table TYP_VZTAHU_CIS cascade constraints;
Drop table LIDI cascade constraints;
Drop table JEDNOTKY cascade constraints;
Drop table DIL cascade constraints;
Drop table VLASTNICTVI cascade constraints;
Drop table OSOBY cascade constraints;
Drop table VZTAHY cascade constraints;
Create table TYP_JEDNOTKY_CIS (
      ID_TYP_JEDNOTKY Integer Not Null,
      TYP_JEDNOTKY VarChar2(50) Null,
      Constraint UNQ_TYP_JEDNOTKY_CIS_1 Unique (TYP_JEDNOTKY),
      Constraint PK_TYP_JEDNOTKY_CIS Primary Key (ID_TYP_JEDNOTKY)
);
Create table TYP_VLASTNICTVI_CIS (
      ID_TYP Integer Not Null,
      TYP VarChar2(50) Null,
      Constraint UNQ_TYP_VLASTNICTVI_CIS_1 Unique (TYP),
      Constraint PK_TYP_VLASTNICTVI_CIS Primary Key (ID_TYP)
);
Create table TYP_OSOBY_CIS (
      ID_TYP_OSOBY Integer Not Null,
      TYP_OSOBY VarChar2(50) Null,
      Constraint UNQ_TYP_OSOBY_CIS_1 Unique (TYP_OSOBY),
      Constraint PK_TYP_OSOBY_CIS Primary Key (ID_TYP_OSOBY)
);
Create table TYP_VZTAHU_CIS (
      ID_TYP_VZTAHU Integer Not Null,
      TYP_VZTAHU VarChar2(50) Not Null,
      Constraint UNQ_TYP_VZTAHU_CIS_1 Unique (TYP_VZTAHU),
      Constraint PK_TYP_VZTAHU_CIS Primary Key (ID_TYP_VZTAHU)
);
Create table LIDI (
      ID_LIDI Integer Not Null,
      LIDI VarChar2(100) Null,
      ADRESA VarChar2(255) Null,
      Constraint PK_LIDI Primary Key (ID_LIDI)
);
Create table JEDNOTKY (
      ID_TYP_JEDNOTKY Integer Not Null,
      ID_JEDNOTKY Integer Not Null,
      VCHOD Integer Null,
      PODIL_CITATEL Integer Null,
      PODIL_JMENOVATEL Integer Null,
      JEDNOTKA Integer Not Null,
      Constraint UNQ_JEDNOTKY_1 Unique (JEDNOTKA),
      Constraint PK_JEDNOTKY Primary Key (ID_JEDNOTKY)
);
Create table DIL (
      ID_DIL Integer Not Null,
      ID_JEDNOTKY Integer Not Null,
      CISLO_STANI Integer Null,
      PODIL_JMENOVATEL Integer Not Null,
      PODIL_CITATEL Integer Not Null,
      Constraint PK_DIL Primary Key (ID_DIL)
);
Create table VLASTNICTVI (
      ID_VLASTNICTVI Integer Not Null,
      ID_DIL Integer Not Null,
      ID_TYP Integer Not Null,
      ID_OSOBY Integer Null,
      DATUM_PREVZETI Date Null,
      DATUM_PREDANI Date Null,
      PLATNOST Integer Null,
      Constraint PK_VLASTNICTVI Primary Key (ID_VLASTNICTVI)
);
Create table OSOBY (
      ID_OSOBY Integer Not Null,
      ID_TYP_OSOBY Integer Not Null,
      OSOBA VarChar2(255) Null,
      PODIL_NA_BUDOVE_CITATEL Integer Null,
      PODIL_NA_BUDOVE_JMENOVATEL Integer Null,
      Constraint PK_OSOBY Primary Key (ID_OSOBY)
);
Create table VZTAHY (
      ID_TYP_VZTAHU Integer Not Null,
      ID_OSOBY Integer Not Null,
      ID_LIDI Integer Not Null,
      Constraint PK_VZTAHY Primary Key (ID_OSOBY, ID_LIDI)
);
Alter table JEDNOTKY add (
      Constraint FK_JEDNOTKY_1 Foreign Key (ID_TYP_JEDNOTKY) References TYP_JEDNOTKY_CIS(ID_TYP_JEDNOTKY)
);
Alter table DIL add (
      Constraint FK_DIL_1 Foreign Key (ID_JEDNOTKY) References JEDNOTKY(ID_JEDNOTKY)
);
Alter table VLASTNICTVI add (
      Constraint FK_VLASTNICTVI_1 Foreign Key (ID_TYP) References TYP_VLASTNICTVI_CIS(ID_TYP),
      Constraint FK_VLASTNICTVI_2 Foreign Key (ID_DIL) References DIL(ID_DIL),
      Constraint FK_VLASTNICTVI_3 Foreign Key (ID_OSOBY) References OSOBY(ID_OSOBY)
);
Alter table OSOBY add (
      Constraint FK_OSOBY_2 Foreign Key (ID_TYP_OSOBY) References TYP_OSOBY_CIS(ID_TYP_OSOBY)
);
Alter table VZTAHY add (
      Constraint FK_OSOBY_1 Foreign Key (ID_OSOBY) References OSOBY(ID_OSOBY),
      Constraint FK_VZTAHY_1 Foreign Key (ID_LIDI) References LIDI(ID_LIDI),
      Constraint FK_VZTAHY_2 Foreign Key (ID_TYP_VZTAHU) References TYP_VZTAHU_CIS(ID_TYP_VZTAHU)
);